<template>
  <v-expansion-panel focusable>
    <v-expansion-panel-content
      v-for="(item, index) in itemsGlobal"
      :key="item.title"
    >
      <div slot="header">
        <v-icon
          v-if=item.isDisplay
          color="red lighten-1"
        >
          block
        </v-icon>

        <v-icon
          v-else
          color="green lighten-2"
        >
          check_circle
        </v-icon>
        {{item.title}}
      </div>
      <v-card>
        <v-card-text>
          <v-layout row>
            <v-flex sm3 ml-4>
              {{item.priority}}
            </v-flex>
            <v-flex sm3 ml-4>
              {{item.date}}
            </v-flex>
            <div v-if=item.isDisplay>
              <v-btn v-on:click="buttonDone(index)" color="success">Fait</v-btn>
            </div>

          </v-layout>
          <v-flex sm3 ml-4>
            {{item.description}}
          </v-flex>
        </v-card-text>
      </v-card>
    </v-expansion-panel-content>
  </v-expansion-panel>
</template>

<script>
  export default {
    methods: {
      buttonDone: function (index) {
        this.itemsGlobal[index].isDisplay = false
      }
    },
    computed: {
      selectedGlobal: function () {
        return this.$store.getters.selectedGlobal
      },
      itemsGlobal: function () {
        return this.$store.getters.itemsGlobal
      }
    }
  }
</script>
